scribus4 fail to compile (Bug #359)


Added by Carlo Dormeletti almost 3 years ago. Updated almost 3 years ago.


Status:New Start date:02/11/2012
Priority:Normal Due date:
Assignee:- % Done:

0%

Category:-
Target version:-
Grimoire:Stable

Description

scribus4 fails to compile, below the error report

Codex Listing
-------------

[0] : binary : /var/lib/sorcery/codex/binary : 6b9188dfa0ceddcf
[1] : z-rejected : /var/lib/sorcery/codex/z-rejected : 4328d68407ac9918
[2] : stable : /var/lib/sorcery/codex/stable : 0.60-7

--------------- BEGIN -------------------------

52%] Building CXX object scribus/CMakeFiles/scribus.dir/cupsoptions.cpp.o
/usr/src/scribus-1.3.9/scribus/cupsoptions.cpp: In constructor 'CupsOptions::CupsOptions(QWidget*, QString)':
/usr/src/scribus-1.3.9/scribus/cupsoptions.cpp:77:2: error: 'ppd_file_t' was not declared in this scope
/usr/src/scribus-1.3.9/scribus/cupsoptions.cpp:77:14: error: 'ppd' was not declared in this scope
/usr/src/scribus-1.3.9/scribus/cupsoptions.cpp:78:2: error: 'ppd_group_t' was not declared in this scope
/usr/src/scribus-1.3.9/scribus/cupsoptions.cpp:78:15: error: 'group' was not declared in this scope
/usr/src/scribus-1.3.9/scribus/cupsoptions.cpp:81:98: error: 'ppdOpenFile' was not declared in this scope
/usr/src/scribus-1.3.9/scribus/cupsoptions.cpp:83:22: error: 'ppdMarkDefaults' was not declared in this scope
/usr/src/scribus-1.3.9/scribus/cupsoptions.cpp:84:56: error: 'cupsMarkOptions' was not declared in this scope
/usr/src/scribus-1.3.9/scribus/cupsoptions.cpp:92:4: error: 'ppd_option_t' was not declared in this scope
/usr/src/scribus-1.3.9/scribus/cupsoptions.cpp:92:18: error: 'option' was not declared in this scope
/usr/src/scribus-1.3.9/scribus/cupsoptions.cpp:93:4: error: 'ppd_choice_t' was not declared in this scope
/usr/src/scribus-1.3.9/scribus/cupsoptions.cpp:93:18: error: 'choice' was not declared in this scope
/usr/src/scribus-1.3.9/scribus/cupsoptions.cpp:127:15: error: 'ppdClose' was not declared in this scope
make[2]: * [scribus/CMakeFiles/scribus.dir/cupsoptions.cpp.o] Error 1
make[1]:
[scribus/CMakeFiles/scribus.dir/all] Error 2
make: *
* [all] Error 2
! Problem Detected !

------------------------- END ----------------

Some goggling reports an incompatibility with cups 1.5 but i'm not an expert and can't tell


History

Updated by Carlo Dormeletti almost 3 years ago

modified DETAILS file in the codex to cast 1.4.0 (latest stable) and scribus4 cast perfectly with cups 1.5
(in DETAILS modified version and also signature file which extension is gpg.sig)

Also available in: Atom PDF